# Build configuration

# set to '1' to do a bootstrap build
# thus disabling examples and docs as they needs pkg itself to build
%define bootstrap 0

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%if %bootstrap
%define build_docs 0
%else
%define build_docs 1
%endif
%endif

%if %bootstrap
%bcond_with examples
%else
%bcond_without examples
%endif

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 2

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtdeclarative-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtquicktest                 %mklibname qt%{qtmajor}quicktest %{qtmajor}
%define libqtquicktest_d               %mklibname qt%{qtmajor}quicktest -d

%define libqtquick                     %mklibname qt%{qtmajor}quick %{qtmajor}
%define libqtquick_d                   %mklibname qt%{qtmajor}quick -d

%define libqtquickshapes               %mklibname qt%{qtmajor}quickshapes %{qtmajor}
%define libqtquickshapes_d             %mklibname qt%{qtmajor}quickshapes -d

%define libqtquickwidgets              %mklibname qt%{qtmajor}quickwidgets %{qtmajor}
%define libqtquickwidgets_d            %mklibname qt%{qtmajor}quickwidgets -d

%define libqtquickparticles            %mklibname qt%{qtmajor}quickparticles %{qtmajor}
%define libqtquickparticles_d          %mklibname qt%{qtmajor}quickparticles -d

%define libqtquicklayouts              %mklibname qt%{qtmajor}quicklayouts %{qtmajor}
%define libqtquicklayouts_d            %mklibname qt%{qtmajor}quicklayouts -d

%define libqtquickeffects              %mklibname qt%{qtmajor}quickeffects %{qtmajor}
%define libqtquickeffects_d            %mklibname qt%{qtmajor}quickeffects -d

%define libqtquickvectorimage          %mklibname qt%{qtmajor}quickvectorimage %{qtmajor}
%define libqtquickvectorimage_d        %mklibname qt%{qtmajor}quickvectorimage -d

%define libqtquickvectorimagegenerat   %mklibname qt%{qtmajor}quickvectorimagegenerator %{qtmajor}
%define libqtquickvectorimagegenerat_d %mklibname qt%{qtmajor}quickvectorimagegenerator -d

%define libqtqml                       %mklibname qt%{qtmajor}qml %{qtmajor}
%define libqtqml_d                     %mklibname qt%{qtmajor}qml -d

%define libqtqmllocalstorage           %mklibname qt%{qtmajor}qmllocalstorage %{qtmajor}
%define libqtqmllocalstorage_d         %mklibname qt%{qtmajor}qmllocalstorage -d

%define libqtqmlmodels                 %mklibname qt%{qtmajor}qmlmodels %{qtmajor}
%define libqtqmlmodels_d               %mklibname qt%{qtmajor}qmlmodels -d

%define libqtqmlnetwork                %mklibname qt%{qtmajor}qmlnetwork %{qtmajor}
%define libqtqmlnetwork_d              %mklibname qt%{qtmajor}qmlnetwork -d

%define libqtqmlworkerscript           %mklibname qt%{qtmajor}qmlworkerscript %{qtmajor}
%define libqtqmlworkerscript_d         %mklibname qt%{qtmajor}qmlworkerscript -d

%define libqtlabsanimation             %mklibname qt%{qtmajor}labsanimation %{qtmajor}
%define libqtlabsanimation_d           %mklibname qt%{qtmajor}labsanimation -d

%define libqtlabsfolderlistmodel       %mklibname qt%{qtmajor}labsfolderlistmodel %{qtmajor}
%define libqtlabsfolderlistmodel_d     %mklibname qt%{qtmajor}labsfolderlistmodel -d

%define libqtlabsplatform             %mklibname qt%{qtmajor}labsplatform %{qtmajor}
%define libqtlabsplatform_d           %mklibname qt%{qtmajor}labsplatform -d

%define libqtlabsqmlmodels             %mklibname qt%{qtmajor}labsqmlmodels %{qtmajor}
%define libqtlabsqmlmodels_d           %mklibname qt%{qtmajor}labsqmlmodels -d

%define libqtlabssettings              %mklibname qt%{qtmajor}labssettings %{qtmajor}
%define libqtlabssettings_d            %mklibname qt%{qtmajor}labssettings -d

%define libqtlabssharedimage           %mklibname qt%{qtmajor}labssharedimage %{qtmajor}
%define libqtlabssharedimage_d         %mklibname qt%{qtmajor}labssharedimage -d

%define libqtlabswavefrontmesh         %mklibname qt%{qtmajor}labswavefrontmesh %{qtmajor}
%define libqtlabswavefrontmesh_d       %mklibname qt%{qtmajor}labswavefrontmesh -d

%define libqtpacketprotocol_ds         %mklibname qt%{qtmajor}packetprotocol -d -s

%define libqtqmlcompiler               %mklibname qt%{qtmajor}qmlcompiler %{qtmajor}
%define libqtqmlcompiler_d             %mklibname qt%{qtmajor}qmlcompiler -d

%define libqtquickcontrolstestutils_ds %mklibname qt%{qtmajor}quickcontrolstestutils -d -s

%define libqtquicktestutils_ds         %mklibname qt%{qtmajor}quicktestutils -d -s

%define libqtqmldom_ds                 %mklibname qt%{qtmajor}qmldom -d -s

%define libqtqmlcore                   %mklibname qt%{qtmajor}qmlcore %{qtmajor}
%define libqtqmlcore_d                 %mklibname qt%{qtmajor}qmlcore -d

%define libqtqmlmeta                   %mklibname qt%{qtmajor}qmlmeta %{qtmajor}
%define libqtqmlmeta_d                 %mklibname qt%{qtmajor}qmlmeta -d

%define libqtqmlxmllistmodel           %mklibname qt%{qtmajor}qmlxmllistmodel %{qtmajor}
%define libqtqmlxmllistmodel_d         %mklibname qt%{qtmajor}qmlxmllistmodel -d

%define libqtquickcontrols2            %mklibname qt%{qtmajor}quickcontrols2_ %{qtmajor}
%define libqtquickcontrols2_d          %mklibname qt%{qtmajor}quickcontrols2 -d

%define libqtquicktemplates2           %mklibname qt%{qtmajor}quicktemplates2_ %{qtmajor}
%define libqtquicktemplates2_d         %mklibname qt%{qtmajor}quicktemplates2 -d

%define libqtquickcontrols2impl        %mklibname qt%{qtmajor}quickcontrols2impl %{qtmajor}
%define libqtquickcontrols2impl_d      %mklibname qt%{qtmajor}quickcontrols2impl -d

%define libqtquickcontrols2basic       %mklibname qt%{qtmajor}quickcontrols2basic %{qtmajor}
%define libqtquickcontrols2basic_d     %mklibname qt%{qtmajor}quickcontrols2basic -d

%define libqtquickcontrols2basicimpl   %mklibname qt%{qtmajor}quickcontrols2basicimpl %{qtmajor}
%define libqtquickcontrols2basicimpl_d %mklibname qt%{qtmajor}quickcontrols2basicimpl -d

%define libqtquickcontrols2fluent      %mklibname qt%{qtmajor}quickcontrols2fluentwinui3styleimpl %{qtmajor}
%define libqtquickcontrols2fluent_d    %mklibname qt%{qtmajor}quickcontrols2fluentwinui3styleimpl -d

%define libqtquickcontrols2fusion      %mklibname qt%{qtmajor}quickcontrols2fusion %{qtmajor}
%define libqtquickcontrols2fusion_d    %mklibname qt%{qtmajor}quickcontrols2fusion -d

%define libqtquickcontrols2fusionimpl  %mklibname qt%{qtmajor}quickcontrols2fusionimpl %{qtmajor}
%define libqtquickcontrols2fusionimpl_d %mklibname qt%{qtmajor}quickcontrols2fusionimpl -d

%define libqtquickcontrols2imagine     %mklibname qt%{qtmajor}quickcontrols2imagine %{qtmajor}
%define libqtquickcontrols2imagine_d   %mklibname qt%{qtmajor}quickcontrols2imagine -d

%define libqtquickcontrols2imaginestyleimpl   %mklibname qt%{qtmajor}quickcontrols2imaginestyleimpl %{qtmajor}
%define libqtquickcontrols2imaginestyleimpl_d %mklibname qt%{qtmajor}quickcontrols2imaginestyleimpl -d

%define libqtquickcontrols2material    %mklibname qt%{qtmajor}quickcontrols2material %{qtmajor}
%define libqtquickcontrols2material_d  %mklibname qt%{qtmajor}quickcontrols2material -d

%define libqtquickcontrols2materialstyleimpl   %mklibname qt%{qtmajor}quickcontrols2materialstyleimpl %{qtmajor}
%define libqtquickcontrols2materialstyleimpl_d %mklibname qt%{qtmajor}quickcontrols2materialstyleimpl -d

%define libqtquickcontrols2universal   %mklibname qt%{qtmajor}quickcontrols2universal %{qtmajor}
%define libqtquickcontrols2universal_d %mklibname qt%{qtmajor}quickcontrols2universal -d

%define libqtquickcontrols2universalstyleimpl   %mklibname qt%{qtmajor}quickcontrols2universalstyleimpl %{qtmajor}
%define libqtquickcontrols2universalstyleimpl_d %mklibname qt%{qtmajor}quickcontrols2universalstyleimpl -d

%define libqtquickdialogs2             %mklibname qt%{qtmajor}quickdialogs2_ %{qtmajor}
%define libqtquickdialogs2_d           %mklibname qt%{qtmajor}quickdialogs2 -d

%define libqtquickdialogs2quickimpl    %mklibname qt%{qtmajor}quickdialogs2quickimpl %{qtmajor}
%define libqtquickdialogs2quickimpl_d  %mklibname qt%{qtmajor}quickdialogs2quickimpl -d

%define libqtquickdialogs2utils        %mklibname qt%{qtmajor}quickdialogs2utils %{qtmajor}
%define libqtquickdialogs2utils_d      %mklibname qt%{qtmajor}quickdialogs2utils -d

%define libqtqmlintegration_d          %mklibname qt%{qtmajor}qmlintegration -d

%define libqtqmltoolingsettings_d      %mklibname qt%{qtmajor}qmltoolingsettings -d

%define libqtqmltyperegistrar_d        %mklibname qt%{qtmajor}qmltyperegistrar -d

%define libqtqmlls_d                   %mklibname qt%{qtmajor}qmlls -d

Name:           qtdeclarative6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Declarative component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs
Patch1:         0001-Fix-find_package-call-in-Qt6QmlFindQmlscInternal.cmake.patch

## Trunk Patchs

## Patch from Mageia

## Patch from Fedora

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-devel >= %{version}
BuildRequires:  qtbase6-qtpaths >= %{version}
BuildRequires:  cmake(Qt6Core) >= %{version}
BuildRequires:  cmake(Qt6Network) >= %{version}
BuildRequires:  cmake(Qt6Gui) >= %{version}
BuildRequires:  cmake(Qt6Widgets) >= %{version}
BuildRequires:  cmake(Qt6Sql) >= %{version}
BuildRequires:  cmake(Qt6Svg) >= %{version}
BuildRequires:  cmake(Qt6Test) >= %{version}
BuildRequires:  cmake(Qt6Xml) >= %{version}
BuildRequires:  cmake(Qt6ShaderTools) >= %{version}
BuildRequires:  cmake(Qt6LanguageServerPrivate)
%if %{with examples}
BuildRequires:  cmake(Qt6Location) >= %{version}
BuildRequires:  cmake(Qt6Positioning) >= %{version}
BuildRequires:  cmake(Qt6Qml) >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}
BuildRequires:  cmake(Qt6QuickTest) >= %{version}
BuildRequires:  cmake(Qt6QuickWidgets) >= %{version}
BuildRequires:  cmake(Qt6QuickControls2) >= %{version}
%endif

Provides:       qt%{qtmajor}-qtdeclarative = %{version}-%{release}

%description
Qt%{qtmajor} Declarative component.

%files
%{_qt6_bindir}/qml
%{_qt6_bindir}/qmlformat
%{_qt6_bindir}/qmlplugindump
%{_qt6_bindir}/qmlpreview
%{_qt6_bindir}/qmlprofiler
%{_qt6_bindir}/qmlscene
%{_qt6_bindir}/qmltestrunner
%{_qt6_bindir}/qmltime
%{_qt6_bindir}/qmleasing
%{_qt6_bindir}/qmllint
%{_qt6_bindir}/qmlls
%{_qt6_bindir}/qmldom
%{_qt6_bindir}/qmltc
%{_qt6_bindir}/svgtoqml
%{_qt6_libexecdir}/qmlaotstats
%{_qt6_libexecdir}/qmlcachegen
%{_qt6_libexecdir}/qmlimportscanner
%{_qt6_libexecdir}/qmltyperegistrar
%{_qt6_libexecdir}/qmljsrootgen
%dir %{_qt6_plugindir}/qmllint
%{_qt6_plugindir}/qmllint/libquicklintplugin.so
%dir %{_qt6_plugindir}/qmlls
%{_qt6_plugindir}/qmlls/libqmllsquickplugin.so
%dir %{_qt6_plugindir}/qmltooling
%{_qt6_plugindir}/qmltooling/libqmldbg_tcp.so
%{_qt6_plugindir}/qmltooling/libqmldbg_debugger.so
%{_qt6_plugindir}/qmltooling/libqmldbg_inspector.so
%{_qt6_plugindir}/qmltooling/libqmldbg_local.so
%{_qt6_plugindir}/qmltooling/libqmldbg_native.so
%{_qt6_plugindir}/qmltooling/libqmldbg_preview.so
%{_qt6_plugindir}/qmltooling/libqmldbg_profiler.so
%{_qt6_plugindir}/qmltooling/libqmldbg_server.so
%{_qt6_plugindir}/qmltooling/libqmldbg_messages.so
%{_qt6_plugindir}/qmltooling/libqmldbg_nativedebugger.so
%{_qt6_plugindir}/qmltooling/libqmldbg_quickprofiler.so
%dir %{_qt6_archdatadir}/qml
%{_qt6_archdatadir}/qml/QmlTime/
%{_qt6_archdatadir}/qml/Qt/
%{_qt6_archdatadir}/qml/QtQml
%{_qt6_archdatadir}/qml/QtQuick*
%{_qt6_archdatadir}/qml/QtTest
%{_qt6_archdatadir}/qml/builtins.qmltypes
%{_qt6_archdatadir}/qml/QtCore/
%{_qt6_archdatadir}/qml/QtNetwork/
%{_qt6_archdatadir}/qml/jsroot.qmltypes
%{_qt6_archdatadir}/qml/QML/
%{_qt6_libdir}/qt6/sbom/qtdeclarative-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtDeclarative%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtDeclarative%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtlabsplatform.qch
%{_qt6_docdir}/qtlabsplatform/
%{_qt6_docdir}/qtqml.qch
%{_qt6_docdir}/qtqml/
%{_qt6_docdir}/qtqmlcompiler.qch
%{_qt6_docdir}/qtqmlcompiler/
%{_qt6_docdir}/qtqmlcore.qch
%{_qt6_docdir}/qtqmlcore/
%{_qt6_docdir}/qtqmlnetwork.qch
%{_qt6_docdir}/qtqmlnetwork/
%{_qt6_docdir}/qtqmlxmllistmodel.qch
%{_qt6_docdir}/qtqmlxmllistmodel/
%{_qt6_docdir}/qtquick.qch
%{_qt6_docdir}/qtquick/
%{_qt6_docdir}/qtquickcontrols.qch
%{_qt6_docdir}/qtquickcontrols/
%{_qt6_docdir}/qtquickdialogs.qch
%{_qt6_docdir}/qtquickdialogs/
%{_qt6_docdir}/qtqmltest.qch
%{_qt6_docdir}/qtqmltest/
%{_qt6_docdir}/qtqmlmodels.qch
%{_qt6_docdir}/qtqmlmodels/
%{_qt6_docdir}/qtqmlworkerscript.qch
%{_qt6_docdir}/qtqmlworkerscript/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtquicktest}
Summary:        Qt%{qtmajor} Quick Test Library
Group:          System/Libraries

%description -n %{libqtquicktest}
Qt%{qtmajor} Quick Test Component Library.

%files -n %{libqtquicktest}
%{_qt6_libdir}/libQt6QuickTest.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquicktest_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{libqtquicktest} = %{version}-%{release}
Requires:       %{name} = %{version}
Provides:       libqt6quicktest-devel = %{version}-%{release}
Provides:       libqtquicktest6-devel = %{version}-%{release}
Provides:       qt6quicktest-devel = %{version}-%{release}
Provides:       qtquicktest6-devel = %{version}-%{release}

Provides:       libqt6quicktest-private-devel = %{version}-%{release}
Provides:       libqtquicktest6-private-devel = %{version}-%{release}
Provides:       qt6quicktest-private-devel = %{version}-%{release}
Provides:       qtquicktest6-private-devel = %{version}-%{release}

%description -n %{libqtquicktest_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqtquicktest_d}
%{_qt6_libdir}/libQt6QuickTest.prl
%{_qt6_libdir}/libQt6QuickTest.so
%{_qt6_libdir}/cmake/Qt6QuickTest/
%{_qt6_libdir}/qt6/metatypes/qt6quicktest_*_metatypes.json
%{_qt6_includedir}/QtQuickTest/
%{_qt6_libdir}/qt6/modules/QuickTest.json
%{_qt6_libdir}/pkgconfig/Qt6QuickTest.pc

#------------------------------------------------------------------------------

%package -n %{libqtquick}
Summary:        Qt%{qtmajor} Quick Library
Group:          System/Libraries

%description -n %{libqtquick}
Qt%{qtmajor} Quick Component Library.

%files -n %{libqtquick}
%{_qt6_libdir}/libQt6Quick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquick_d}
Summary:        Devel files needed to build apps based on QtQuick
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquick} = %{version}-%{release}
Provides:       libqt6quick-devel = %{version}-%{release}
Provides:       libqtquick6-devel = %{version}-%{release}
Provides:       qt6quick-devel = %{version}-%{release}
Provides:       qtquick6-devel = %{version}-%{release}

Provides:       libqt6quick-private-devel = %{version}-%{release}
Provides:       libqtquick6-private-devel = %{version}-%{release}
Provides:       qt6quick-private-devel = %{version}-%{release}
Provides:       qtquick6-private-devel = %{version}-%{release}

%description -n %{libqtquick_d}
Devel files needed to build apps based on QtQuick.

%files -n %{libqtquick_d}
%{_qt6_libdir}/libQt6Quick.prl
%{_qt6_libdir}/libQt6Quick.so
%{_qt6_libdir}/cmake/Qt6Quick/
%{_qt6_libdir}/qt6/metatypes/qt6quick_*_metatypes.json
%{_qt6_includedir}/QtQuick/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quick.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quick_private.pri
%{_qt6_libdir}/qt6/modules/Quick.json
%if %{with examples}
%_qt6_examplesdir/quick/
%endif
%{_qt6_libdir}/pkgconfig/Qt6Quick.pc
# FIXME in good package???
%{_qt6_libdir}/cmake/Qt6QuickTools/

#------------------------------------------------------------------------------

%package -n %{libqtquickwidgets}
Summary:        Qt%{qtmajor} Quick Widgets Library
Group:          System/Libraries

%description -n %{libqtquickwidgets}
Qt%{qtmajor} Quick Widgets Component Library.

%files -n %{libqtquickwidgets}
%{_qt6_libdir}/libQt6QuickWidgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickwidgets_d}
Summary:        Devel files needed to build apps based on QtQuickWidgets
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickwidgets} = %{version}-%{release}
Provides:       libqt6quickwidgets-devel = %{version}-%{release}
Provides:       libqtquickwidgets6-devel = %{version}-%{release}
Provides:       qt6quickwidgets-devel = %{version}-%{release}
Provides:       qtquickwidgets6-devel = %{version}-%{release}

Provides:       libqt6quickwidgets-private-devel = %{version}-%{release}
Provides:       libqtquickwidgets6-private-devel = %{version}-%{release}
Provides:       qt6quickwidgets-private-devel = %{version}-%{release}
Provides:       qtquickwidgets6-private-devel = %{version}-%{release}

%description -n %{libqtquickwidgets_d}
Devel files needed to build apps based on QtQuickWidgets.

%files -n %{libqtquickwidgets_d}
%{_qt6_libdir}/libQt6QuickWidgets.prl
%{_qt6_libdir}/libQt6QuickWidgets.so
%{_qt6_libdir}/cmake/Qt6QuickWidgets/
%{_qt6_includedir}/QtQuickWidgets/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickwidgets.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickwidgets_private.pri
%{_qt6_libdir}/qt6/modules/QuickWidgets.json
%{_qt6_libdir}/qt6/metatypes/qt6quickwidgets_*_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QuickWidgets.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickshapes}
Summary:        Qt%{qtmajor} Quick Shapes Library
Group:          System/Libraries

%description -n %{libqtquickshapes}
Qt%{qtmajor} Quick Shapes Component Library.

%files -n %{libqtquickshapes}
%{_qt6_libdir}/libQt6QuickShapes.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickshapes_d}
Summary:        Devel files needed to build apps based on QtQuickShapes
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickshapes} = %{version}-%{release}
Provides:       libqt6quickshapes-devel = %{version}-%{release}
Provides:       libqtquickshapes6-devel = %{version}-%{release}
Provides:       qt6quickshapes-devel = %{version}-%{release}
Provides:       qtquickshapes6-devel = %{version}-%{release}

Provides:       libqt6quickshapes-private-devel = %{version}-%{release}
Provides:       libqtquickshapes6-private-devel = %{version}-%{release}
Provides:       qt6quickshapes-private-devel = %{version}-%{release}
Provides:       qtquickshapes65-private-devel = %{version}-%{release}

%description -n %{libqtquickshapes_d}
Devel files needed to build apps based on QtQuickShapes.

%files -n %{libqtquickshapes_d}
%{_qt6_libdir}/libQt6QuickShapes.prl
%{_qt6_libdir}/libQt6QuickShapes.so
%{_qt6_includedir}/QtQuickShapes/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickshapes_private.pri
%{_qt6_libdir}/cmake/Qt6QuickShapesPrivate/
%{_qt6_libdir}/qt6/modules/QuickShapesPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6quickshapesprivate_*_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtquickparticles}
Summary:        Qt%{qtmajor} Quick Particles Library
Group:          System/Libraries

%description -n %{libqtquickparticles}
Qt%{qtmajor} Quick Particles Component Library.

%files -n %{libqtquickparticles}
%{_qt6_libdir}/libQt6QuickParticles.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickparticles_d}
Summary:        Devel files needed to build apps based on QtQuickParticles
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickparticles} = %{version}-%{release}
Provides:       libqt6quickparticles-devel = %{version}-%{release}
Provides:       libqtquickparticles6-devel = %{version}-%{release}
Provides:       qt6quickparticles-devel = %{version}-%{release}
Provides:       qtquickparticles6-devel = %{version}-%{release}

Provides:       libqt6quickparticles-private-devel = %{version}-%{release}
Provides:       libqtquickparticles6-private-devel = %{version}-%{release}
Provides:       qt6quickparticles-private-devel = %{version}-%{release}
Provides:       qtquickparticles6-private-devel = %{version}-%{release}

%description -n %{libqtquickparticles_d}
Devel files needed to build apps based on QtQuickParticles.

%files -n %{libqtquickparticles_d}
%{_qt6_libdir}/libQt6QuickParticles.prl
%{_qt6_libdir}/libQt6QuickParticles.so
%{_qt6_libdir}/cmake/Qt6QuickParticlesPrivate/
%{_qt6_includedir}/QtQuickParticles/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickparticles_private.pri
%{_qt6_libdir}/qt6/modules/QuickParticlesPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6quickparticlesprivate_*_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtquicklayouts}
Summary:        Qt%{qtmajor} Quick Layouts Library
Group:          System/Libraries

%description -n %{libqtquicklayouts}
Qt%{qtmajor} Quick Layouts Component Library.

%files -n %{libqtquicklayouts}
%{_qt6_libdir}/libQt6QuickLayouts.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquicklayouts_d}
Summary:        Devel files needed to build apps based on QtQuickLayouts
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquicklayouts} = %{version}-%{release}
Provides:       libqt6quicklayouts-devel = %{version}-%{release}
Provides:       libqtquicklayouts6-devel = %{version}-%{release}
Provides:       qt6quicklayouts-devel = %{version}-%{release}
Provides:       qtquicklayouts6-devel = %{version}-%{release}

Provides:       libqt6quicklayouts-private-devel = %{version}-%{release}
Provides:       libqtquicklayouts6-private-devel = %{version}-%{release}
Provides:       qt6quicklayouts-private-devel = %{version}-%{release}
Provides:       qtquicklayouts6-private-devel = %{version}-%{release}

%description -n %{libqtquicklayouts_d}
Devel files needed to build apps based on QtQuickLayouts.

%files -n %{libqtquicklayouts_d}
%{_qt6_libdir}/libQt6QuickLayouts.prl
%{_qt6_libdir}/libQt6QuickLayouts.so
%{_qt6_libdir}/cmake/Qt6QuickLayouts/
%{_qt6_libdir}/qt6/metatypes/qt6quicklayouts_*_metatypes.json
%{_qt6_includedir}/QtQuickLayouts/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicklayouts.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicklayouts_private.pri
%{_qt6_libdir}/qt6/modules/QuickLayouts.json
%{_qt6_libdir}/pkgconfig/Qt6QuickLayouts.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickeffects}
Summary:        Qt%{qtmajor} Quick Effects Library
Group:          System/Libraries

%description -n %{libqtquickeffects}
Qt%{qtmajor} Quick Effects Component Library.

%files -n %{libqtquickeffects}
%{_qt6_libdir}/libQt6QuickEffects.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickeffects_d}
Summary:        Devel files needed to build apps based on QtQuickEffects
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickeffects} = %{version}-%{release}
Provides:       libqt6quickeffects-devel = %{version}-%{release}
Provides:       libqtquickeffects6-devel = %{version}-%{release}
Provides:       qt6quickeffects-devel = %{version}-%{release}
Provides:       qtquickeffects6-devel = %{version}-%{release}

Provides:       libqt6quickeffects-private-devel = %{version}-%{release}
Provides:       libqtquickeffects6-private-devel = %{version}-%{release}
Provides:       qt6quickeffects-private-devel = %{version}-%{release}
Provides:       qtquickeffects6-private-devel = %{version}-%{release}

%description -n %{libqtquickeffects_d}
Devel files needed to build apps based on QtQuickEffects.

%files -n %{libqtquickeffects_d}
%{_qt6_libdir}/libQt6QuickEffects.prl
%{_qt6_libdir}/libQt6QuickEffects.so
%{_qt6_libdir}/cmake/Qt6QuickEffectsPrivate/
%{_qt6_libdir}/qt6/metatypes/qt6quickeffectsprivate_*_metatypes.json
%{_qt6_includedir}/QtQuickEffects/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickeffects_private.pri
%{_qt6_libdir}/qt6/modules/QuickEffectsPrivate.json

#------------------------------------------------------------------------------

%package -n %{libqtquickvectorimage}
Summary:        Qt%{qtmajor} Quick Vector Image Library
Group:          System/Libraries

%description -n %{libqtquickvectorimage}
Qt%{qtmajor} Quick Vector Image Component Library.

%files -n %{libqtquickvectorimage}
%{_qt6_libdir}/libQt6QuickVectorImage.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickvectorimage_d}
Summary:        Devel files needed to build apps based on QtQuickVectorImage
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickvectorimage} = %{version}-%{release}
Provides:       libqt6quickvectorimage-devel = %{version}-%{release}
Provides:       libqtquickvectorimage6-devel = %{version}-%{release}
Provides:       qt6quickvectorimage-devel = %{version}-%{release}
Provides:       qtquickvectorimage6-devel = %{version}-%{release}

Provides:       libqt6quickvectorimage-private-devel = %{version}-%{release}
Provides:       libqtquickvectorimage6-private-devel = %{version}-%{release}
Provides:       qt6quickvectorimage-private-devel = %{version}-%{release}
Provides:       qtquickvectorimage6-private-devel = %{version}-%{release}

%description -n %{libqtquickvectorimage_d}
Devel files needed to build apps based on QtQuickVectorImage.

%files -n %{libqtquickvectorimage_d}
%{_qt6_libdir}/libQt6QuickVectorImage.prl
%{_qt6_libdir}/libQt6QuickVectorImage.so
%{_qt6_libdir}/cmake/Qt6QuickVectorImage/
%{_qt6_libdir}/qt6/metatypes/qt6quickvectorimage_*_metatypes.json
%{_qt6_includedir}/QtQuickVectorImage/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickvectorimage.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickvectorimage_private.pri
%{_qt6_libdir}/qt6/modules/QuickVectorImage.json
%{_qt6_libdir}/pkgconfig/Qt6QuickVectorImage.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickvectorimagegenerat}
Summary:        Qt%{qtmajor} Quick Vector Image Generator Library
Group:          System/Libraries

%description -n %{libqtquickvectorimagegenerat}
Qt%{qtmajor} Quick Vector Image Generator Component Library.

%files -n %{libqtquickvectorimagegenerat}
%{_qt6_libdir}/libQt6QuickVectorImageGenerator.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickvectorimagegenerat_d}
Summary:        Devel files needed to build apps based on QtQuickVectorImageGenerator
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickvectorimagegenerat} = %{version}-%{release}
Provides:       libqt6quickvectorimagegenerator-devel = %{version}-%{release}
Provides:       libqtquickvectorimagegenerator6-devel = %{version}-%{release}
Provides:       qt6quickvectorimagegenerator-devel = %{version}-%{release}
Provides:       qtquickvectorimagegenerator6-devel = %{version}-%{release}

Provides:       libqt6quickvectorimagegenerator-private-devel = %{version}-%{release}
Provides:       libqtquickvectorimagegenerator6-private-devel = %{version}-%{release}
Provides:       qt6quickvectorimagegenerator-private-devel = %{version}-%{release}
Provides:       qtquickvectorimagegenerator6-private-devel = %{version}-%{release}

%description -n %{libqtquickvectorimagegenerat_d}
Devel files needed to build apps based on QtQuickVectorImageGenerator.

%files -n %{libqtquickvectorimagegenerat_d}
%{_qt6_libdir}/libQt6QuickVectorImageGenerator.prl
%{_qt6_libdir}/libQt6QuickVectorImageGenerator.so
%{_qt6_libdir}/cmake/Qt6QuickVectorImageGeneratorPrivate/
%{_qt6_libdir}/qt6/metatypes/qt6quickvectorimagegeneratorprivate_*_metatypes.json
%{_qt6_includedir}/QtQuickVectorImageGenerator/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickvectorimagegenerator_private.pri
%{_qt6_libdir}/qt6/modules/QuickVectorImageGeneratorPrivate.json

#------------------------------------------------------------------------------

%package -n %{libqtqml}
Summary:        Qt%{qtmajor} Qml Library
Group:          System/Libraries

%description -n %{libqtqml}
Qt%{qtmajor} Qml Component Library.

%files -n %{libqtqml}
%{_qt6_libdir}/libQt6Qml.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqml_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqml} = %{version}-%{release}
Requires:       %{libqtqmlintegration_d} = %{version}-%{release}
Provides:       libqt6qml-devel = %{version}-%{release}
Provides:       libqtqml6-devel = %{version}-%{release}
Provides:       qt6qml-devel = %{version}-%{release}
Provides:       qtqml6-devel = %{version}-%{release}

Provides:       libqt6qml-private-devel = %{version}-%{release}
Provides:       libqtqml6-private-devel = %{version}-%{release}
Provides:       qt6qml-private-devel = %{version}-%{release}
Provides:       qtqml6-private-devel = %{version}-%{release}

%description -n %{libqtqml_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqtqml_d}
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtDeclarativeTestsConfig.cmake
# Qml
%{_qt6_libdir}/libQt6Qml.prl
%{_qt6_libdir}/libQt6Qml.so
%{_qt6_libdir}/cmake/Qt6Qml/
%{_qt6_libdir}/qt6/metatypes/qt6qml_*_metatypes.json
%{_qt6_includedir}/QtQml/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qml.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qml_private.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmltest.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmltest_private.pri
%{_qt6_archdatadir}/mkspecs/features/qmlcache.prf
%{_qt6_archdatadir}/mkspecs/features/qmltypes.prf
%{_qt6_libdir}/qt6/modules/Qml.json
%if %{with examples}
%_qt6_examplesdir/qml/
%endif
# QmlDevTools
# QmlDebug
%{_qt6_libdir}/libQt6QmlDebug.prl
%{_qt6_libdir}/libQt6QmlDebug.a
%{_qt6_libdir}/cmake/Qt6QmlDebugPrivate/
%{_qt6_includedir}/QtQmlDebug/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmldebug_private.pri
%{_qt6_libdir}/qt6/modules/QmlDebugPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6qmldebugprivate_*_metatypes.json
#
# FIXME in good package???
%{_qt6_libdir}/cmake/Qt6QmlTools/
%{_qt6_libdir}/cmake/Qt6QmlImportScanner/
%{_qt6_archdatadir}/mkspecs/features/qtquickcompiler.prf
%{_qt6_libdir}/pkgconfig/Qt6Qml.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmllocalstorage}
Summary:        Qt%{qtmajor} Qml Local Storage Library
Group:          System/Libraries

%description -n %{libqtqmllocalstorage}
Qt%{qtmajor} Qml Local Storage Component Library.

%files -n %{libqtqmllocalstorage}
%{_qt6_libdir}/libQt6QmlLocalStorage.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmllocalstorage_d}
Summary:        Devel files needed to build apps based on QtQmlLocalStorage
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmllocalstorage} = %{version}-%{release}
Provides:       libqt6qmllocalstorage-devel = %{version}-%{release}
Provides:       libqtqmllocalstorage6-devel = %{version}-%{release}
Provides:       qt6qmllocalstorage-devel = %{version}-%{release}
Provides:       qtqmllocalstorage6-devel = %{version}-%{release}

Provides:       libqt6qmllocalstorage-private-devel = %{version}-%{release}
Provides:       libqtqmllocalstorage6-private-devel = %{version}-%{release}
Provides:       qt6qmllocalstorage-private-devel = %{version}-%{release}
Provides:       qtqmllocalstorage6-private-devel = %{version}-%{release}

%description -n %{libqtqmllocalstorage_d}
Devel files needed to build apps based on QtQmlLocalStorage.

%files -n %{libqtqmllocalstorage_d}
%{_qt6_libdir}/libQt6QmlLocalStorage.prl
%{_qt6_libdir}/libQt6QmlLocalStorage.so
%{_qt6_libdir}/cmake/Qt6QmlLocalStorage/
%{_qt6_libdir}/qt6/metatypes/qt6qmllocalstorage_*_metatypes.json
%{_qt6_includedir}/QtQmlLocalStorage/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmllocalstorage.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmllocalstorage_private.pri
%{_qt6_libdir}/qt6/modules/QmlLocalStorage.json
%{_qt6_libdir}/pkgconfig/Qt6QmlLocalStorage.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlmodels}
Summary:        Qt%{qtmajor} Qml Models Library
Group:          System/Libraries

%description -n %{libqtqmlmodels}
Qt%{qtmajor} Qml Models Component Library.

%files -n %{libqtqmlmodels}
%{_qt6_libdir}/libQt6QmlModels.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlmodels_d}
Summary:        Devel files needed to build apps based on QtQmlModels
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlmodels} = %{version}-%{release}
Provides:       libqt6qmlmodels-devel = %{version}-%{release}
Provides:       libqtqmlmodels6-devel = %{version}-%{release}
Provides:       qt6qmlmodels-devel = %{version}-%{release}
Provides:       qtqmlmodels6-devel = %{version}-%{release}

Provides:       libqt6qmlmodels-private-devel = %{version}-%{release}
Provides:       libqtqmlmodels6-private-devel = %{version}-%{release}
Provides:       qt6qmlmodels-private-devel = %{version}-%{release}
Provides:       qtqmlmodels6-private-devel = %{version}-%{release}

%description -n %{libqtqmlmodels_d}
Devel files needed to build apps based on QtQmlModels.

%files -n %{libqtqmlmodels_d}
%{_qt6_libdir}/libQt6QmlModels.prl
%{_qt6_libdir}/libQt6QmlModels.so
%{_qt6_libdir}/cmake/Qt6QmlModels/
%{_qt6_libdir}/qt6/metatypes/qt6qmlmodels_*_metatypes.json
%{_qt6_includedir}/QtQmlModels/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlmodels.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlmodels_private.pri
%{_qt6_libdir}/qt6/modules/QmlModels.json
%{_qt6_libdir}/pkgconfig/Qt6QmlModels.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlnetwork}
Summary:        Qt%{qtmajor} Qml Network Library
Group:          System/Libraries

%description -n %{libqtqmlnetwork}
Qt%{qtmajor} Qml Network Component Library.

%files -n %{libqtqmlnetwork}
%{_qt6_libdir}/libQt6QmlNetwork.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlnetwork_d}
Summary:        Devel files needed to build apps based on QtQmlNetwork
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlnetwork} = %{version}-%{release}
Provides:       libqt6qmlnetwork-devel = %{version}-%{release}
Provides:       libqtqmlnetwork6-devel = %{version}-%{release}
Provides:       qt6qmlnetwork-devel = %{version}-%{release}
Provides:       qtqmlnetwork6-devel = %{version}-%{release}

Provides:       libqt6qmlnetwork-private-devel = %{version}-%{release}
Provides:       libqtqmlnetwork6-private-devel = %{version}-%{release}
Provides:       qt6qmlnetwork-private-devel = %{version}-%{release}
Provides:       qtqmlnetwork6-private-devel = %{version}-%{release}

%description -n %{libqtqmlnetwork_d}
Devel files needed to build apps based on QtQmlNetwork.

%files -n %{libqtqmlnetwork_d}
%{_qt6_libdir}/libQt6QmlNetwork.prl
%{_qt6_libdir}/libQt6QmlNetwork.so
%{_qt6_libdir}/cmake/Qt6QmlNetwork/
%{_qt6_libdir}/qt6/metatypes/qt6qmlnetwork_*_metatypes.json
%{_qt6_includedir}/QtQmlNetwork/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlnetwork.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlnetwork_private.pri
%{_qt6_libdir}/qt6/modules/QmlNetwork.json
%{_qt6_libdir}/pkgconfig/Qt6QmlNetwork.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlworkerscript}
Summary:        Qt%{qtmajor} Qml Worker Script Library
Group:          System/Libraries

%description -n %{libqtqmlworkerscript}
Qt%{qtmajor} Qml Worker Script Component Library.

%files -n %{libqtqmlworkerscript}
%{_qt6_libdir}/libQt6QmlWorkerScript.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlworkerscript_d}
Summary:        Devel files needed to build apps based on QtQmlWorkerScript
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlworkerscript} = %{version}-%{release}
Provides:       libqt6qmlworkerscript-devel = %{version}-%{release}
Provides:       libqtqmlworkerscript6-devel = %{version}-%{release}
Provides:       qt6qmlworkerscript-devel = %{version}-%{release}
Provides:       qtqmlworkerscript6-devel = %{version}-%{release}

Provides:       libqt6qmlworkerscript-private-devel = %{version}-%{release}
Provides:       libqtqmlworkerscript6-private-devel = %{version}-%{release}
Provides:       qt6qmlworkerscript-private-devel = %{version}-%{release}
Provides:       qtqmlworkerscript6-private-devel = %{version}-%{release}

%description -n %{libqtqmlworkerscript_d}
Devel files needed to build apps based on QtQmlWorkerScript.

%files -n %{libqtqmlworkerscript_d}
%{_qt6_libdir}/libQt6QmlWorkerScript.prl
%{_qt6_libdir}/libQt6QmlWorkerScript.so
%{_qt6_libdir}/cmake/Qt6QmlWorkerScript/
%{_qt6_libdir}/qt6/metatypes/qt6qmlworkerscript_*_metatypes.json
%{_qt6_includedir}/QtQmlWorkerScript/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlworkerscript.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlworkerscript_private.pri
%{_qt6_libdir}/qt6/modules/QmlWorkerScript.json
%{_qt6_libdir}/pkgconfig/Qt6QmlWorkerScript.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabsanimation}
Summary:        Qt%{qtmajor} Labs Animation Library
Group:          System/Libraries

%description -n %{libqtlabsanimation}
Qt%{qtmajor} Labs Animation Component Library.

%files -n %{libqtlabsanimation}
%{_qt6_libdir}/libQt6LabsAnimation.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabsanimation_d}
Summary:        Devel files needed to build apps based on QtLabsAnimation
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabsanimation} = %{version}-%{release}
Provides:       libqt6labsanimation-devel = %{version}-%{release}
Provides:       libqtlabsanimation6-devel = %{version}-%{release}
Provides:       qt6labsanimation-devel = %{version}-%{release}
Provides:       qtlabsanimation6-devel = %{version}-%{release}

Provides:       libqt6labsanimation-private-devel = %{version}-%{release}
Provides:       libqtlabsanimation6-private-devel = %{version}-%{release}
Provides:       qt6labsanimation-private-devel = %{version}-%{release}
Provides:       qtlabsanimation6-private-devel = %{version}-%{release}

%description -n %{libqtlabsanimation_d}
Devel files needed to build apps based on QtLabsAnimation.

%files -n %{libqtlabsanimation_d}
%{_qt6_libdir}/libQt6LabsAnimation.prl
%{_qt6_libdir}/libQt6LabsAnimation.so
%{_qt6_libdir}/cmake/Qt6LabsAnimation/
%{_qt6_libdir}/qt6/metatypes/qt6labsanimation_*_metatypes.json
%{_qt6_includedir}/QtLabsAnimation/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsanimation.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsanimation_private.pri
%{_qt6_libdir}/qt6/modules/LabsAnimation.json
%{_qt6_libdir}/pkgconfig/Qt6LabsAnimation.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabsfolderlistmodel}
Summary:        Qt%{qtmajor} Labs Folder List Model Library
Group:          System/Libraries

%description -n %{libqtlabsfolderlistmodel}
Qt%{qtmajor} Labs Folder List Model Component Library.

%files -n %{libqtlabsfolderlistmodel}
%{_qt6_libdir}/libQt6LabsFolderListModel.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabsfolderlistmodel_d}
Summary:        Devel files needed to build apps based on QtLabsFolderListModel
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabsfolderlistmodel} = %{version}-%{release}
Provides:       libqt6labsfolderlistmodel-devel = %{version}-%{release}
Provides:       libqtlabsfolderlistmodel6-devel = %{version}-%{release}
Provides:       qt6labsfolderlistmodel-devel = %{version}-%{release}
Provides:       qtlabsfolderlistmodel6-devel = %{version}-%{release}

Provides:       libqt6labsfolderlistmodel-private-devel = %{version}-%{release}
Provides:       libqtlabsfolderlistmodel6-private-devel = %{version}-%{release}
Provides:       qt6labsfolderlistmodel-private-devel = %{version}-%{release}
Provides:       qtlabsfolderlistmodel6-private-devel = %{version}-%{release}

%description -n %{libqtlabsfolderlistmodel_d}
Devel files needed to build apps based on QtLabsFolderListModel.

%files -n %{libqtlabsfolderlistmodel_d}
%{_qt6_libdir}/libQt6LabsFolderListModel.prl
%{_qt6_libdir}/libQt6LabsFolderListModel.so
%{_qt6_libdir}/cmake/Qt6LabsFolderListModel/
%{_qt6_libdir}/qt6/metatypes/qt6labsfolderlistmodel_*_metatypes.json
%{_qt6_includedir}/QtLabsFolderListModel/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsfolderlistmodel.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsfolderlistmodel_private.pri
%{_qt6_libdir}/qt6/modules/LabsFolderListModel.json
%{_qt6_libdir}/pkgconfig/Qt6LabsFolderListModel.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabsplatform}
Summary:        Qt%{qtmajor} Labs Platform Library
Group:          System/Libraries

%description -n %{libqtlabsplatform}
Qt%{qtmajor} Labs Platform Component Library.

%files -n %{libqtlabsplatform}
%{_qt6_libdir}/libQt6LabsPlatform.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabsplatform_d}
Summary:        Devel files needed to build apps based on QtLabsPlatform
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabsplatform} = %{version}-%{release}
Provides:       libqt6labsplatform-devel = %{version}-%{release}
Provides:       libqtlabsplatform6-devel = %{version}-%{release}
Provides:       qt6labsplatform-devel = %{version}-%{release}
Provides:       qtlabsplatform6-devel = %{version}-%{release}

Provides:       libqt6labsplatform-private-devel = %{version}-%{release}
Provides:       libqtlabsplatform6-private-devel = %{version}-%{release}
Provides:       qt6labsplatform-private-devel = %{version}-%{release}
Provides:       qtlabsplatform6-private-devel = %{version}-%{release}

%description -n %{libqtlabsplatform_d}
Devel files needed to build apps based on QtLabsPlatform.

%files -n %{libqtlabsplatform_d}
%{_qt6_libdir}/libQt6LabsPlatform.prl
%{_qt6_libdir}/libQt6LabsPlatform.so
%{_qt6_libdir}/cmake/Qt6LabsPlatform/
%{_qt6_libdir}/qt6/metatypes/qt6labsplatform_*_metatypes.json
%{_qt6_includedir}/QtLabsPlatform/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsplatform.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsplatform_private.pri
%{_qt6_libdir}/qt6/modules/LabsPlatform.json
%{_qt6_libdir}/pkgconfig/Qt6LabsPlatform.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabsqmlmodels}
Summary:        Qt%{qtmajor} Labs Qml Models Library
Group:          System/Libraries

%description -n %{libqtlabsqmlmodels}
Qt%{qtmajor} Labs Qml Models Component Library.

%files -n %{libqtlabsqmlmodels}
%{_qt6_libdir}/libQt6LabsQmlModels.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabsqmlmodels_d}
Summary:        Devel files needed to build apps based on QtLabsQmlModels
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabsqmlmodels} = %{version}-%{release}
Provides:       libqt6labsqmlmodels-devel = %{version}-%{release}
Provides:       libqtlabsqmlmodels6-devel = %{version}-%{release}
Provides:       qt6labsqmlmodels-devel = %{version}-%{release}
Provides:       qtlabsqmlmodels6-devel = %{version}-%{release}

Provides:       libqt6labsqmlmodels-private-devel = %{version}-%{release}
Provides:       libqtlabsqmlmodels6-private-devel = %{version}-%{release}
Provides:       qt6labsqmlmodels-private-devel = %{version}-%{release}
Provides:       qtlabsqmlmodels6-private-devel = %{version}-%{release}

%description -n %{libqtlabsqmlmodels_d}
Devel files needed to build apps based on QtLabsQmlModels.

%files -n %{libqtlabsqmlmodels_d}
%{_qt6_libdir}/libQt6LabsQmlModels.prl
%{_qt6_libdir}/libQt6LabsQmlModels.so
%{_qt6_libdir}/cmake/Qt6LabsQmlModels/
%{_qt6_libdir}/qt6/metatypes/qt6labsqmlmodels_*_metatypes.json
%{_qt6_includedir}/QtLabsQmlModels/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsqmlmodels.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsqmlmodels_private.pri
%{_qt6_libdir}/qt6/modules/LabsQmlModels.json
%{_qt6_libdir}/pkgconfig/Qt6LabsQmlModels.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabssettings}
Summary:        Qt%{qtmajor} Labs Settings Library
Group:          System/Libraries

%description -n %{libqtlabssettings}
Qt%{qtmajor} Labs Settings Component Library.

%files -n %{libqtlabssettings}
%{_qt6_libdir}/libQt6LabsSettings.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabssettings_d}
Summary:        Devel files needed to build apps based on QtLabsSettings
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabssettings} = %{version}-%{release}
Provides:       libqt6labssettings-devel = %{version}-%{release}
Provides:       libqtlabssettings6-devel = %{version}-%{release}
Provides:       qt6labssettings-devel = %{version}-%{release}
Provides:       qtlabssettings6-devel = %{version}-%{release}

Provides:       libqt6labssettings-private-devel = %{version}-%{release}
Provides:       libqtlabssettings6-private-devel = %{version}-%{release}
Provides:       qt6labssettings-private-devel = %{version}-%{release}
Provides:       qtlabssettings6-private-devel = %{version}-%{release}

%description -n %{libqtlabssettings_d}
Devel files needed to build apps based on QtLabsSettings.

%files -n %{libqtlabssettings_d}
%{_qt6_libdir}/libQt6LabsSettings.prl
%{_qt6_libdir}/libQt6LabsSettings.so
%{_qt6_libdir}/cmake/Qt6LabsSettings/
%{_qt6_libdir}/qt6/metatypes/qt6labssettings_*_metatypes.json
%{_qt6_includedir}/QtLabsSettings/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labssettings.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labssettings_private.pri
%{_qt6_libdir}/qt6/modules/LabsSettings.json
%{_qt6_libdir}/pkgconfig/Qt6LabsSettings.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabssharedimage}
Summary:        Qt%{qtmajor} Labs Shared Image Library
Group:          System/Libraries

%description -n %{libqtlabssharedimage}
Qt%{qtmajor} Labs Shared Image Component Library.

%files -n %{libqtlabssharedimage}
%{_qt6_libdir}/libQt6LabsSharedImage.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabssharedimage_d}
Summary:        Devel files needed to build apps based on QtLabsSharedImage
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabssharedimage} = %{version}-%{release}
Provides:       libqt6labssharedimage-devel = %{version}-%{release}
Provides:       libqtlabssharedimage6-devel = %{version}-%{release}
Provides:       qt6labssharedimage-devel = %{version}-%{release}
Provides:       qtlabssharedimage6-devel = %{version}-%{release}

Provides:       libqt6labssharedimage-private-devel = %{version}-%{release}
Provides:       libqtlabssharedimage6-private-devel = %{version}-%{release}
Provides:       qt6labssharedimage-private-devel = %{version}-%{release}
Provides:       qtlabssharedimage6-private-devel = %{version}-%{release}

%description -n %{libqtlabssharedimage_d}
Devel files needed to build apps based on QtLabsSharedImage.

%files -n %{libqtlabssharedimage_d}
%{_qt6_libdir}/libQt6LabsSharedImage.prl
%{_qt6_libdir}/libQt6LabsSharedImage.so
%{_qt6_libdir}/cmake/Qt6LabsSharedImage/
%{_qt6_libdir}/qt6/metatypes/qt6labssharedimage_*_metatypes.json
%{_qt6_includedir}/QtLabsSharedImage/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labssharedimage.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labssharedimage_private.pri
%{_qt6_libdir}/qt6/modules/LabsSharedImage.json
%{_qt6_libdir}/pkgconfig/Qt6LabsSharedImage.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabswavefrontmesh}
Summary:        Qt%{qtmajor} Labs Wavefront Mesh Library
Group:          System/Libraries

%description -n %{libqtlabswavefrontmesh}
Qt%{qtmajor} Labs Wavefront Mesh Component Library.

%files -n %{libqtlabswavefrontmesh}
%{_qt6_libdir}/libQt6LabsWavefrontMesh.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlcore}
Summary:        Qt%{qtmajor} QmlCore Library
Group:          System/Libraries

%description -n %{libqtqmlcore}
Qt%{qtmajor} QmlCore Component Library.

%files -n %{libqtqmlcore}
%{_qt6_libdir}/libQt6QmlCore.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlmeta}
Summary:        Qt%{qtmajor} QmlMeta Library
Group:          System/Libraries

%description -n %{libqtqmlmeta}
Qt%{qtmajor} QmlMeta Component Library.

%files -n %{libqtqmlmeta}
%{_qt6_libdir}/libQt6QmlMeta.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlcompiler}
Summary:        Qt%{qtmajor} QmlCompiler Library
Group:          System/Libraries

%description -n %{libqtqmlcompiler}
Qt%{qtmajor} QmlCompiler Component Library.

%files -n %{libqtqmlcompiler}
%{_qt6_libdir}/libQt6QmlCompiler.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlxmllistmodel}
Summary:        Qt%{qtmajor} Qml Xml List Model Library
Group:          System/Libraries

%description -n %{libqtqmlxmllistmodel}
Qt%{qtmajor} Qml Xml List Model Component Library.

%files -n %{libqtqmlxmllistmodel}
%{_qt6_libdir}/libQt6QmlXmlListModel.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlxmllistmodel_d}
Summary:        Devel files needed to build apps based on QtQmlXmlListModel
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlxmllistmodel} = %{version}-%{release}
Provides:       libqt6qmlxmllistmodel-devel = %{version}-%{release}
Provides:       libqtqmlxmllistmodel6-devel = %{version}-%{release}
Provides:       qt6qmlxmllistmodel-devel = %{version}-%{release}
Provides:       qtqmlxmllistmodel6-devel = %{version}-%{release}

Provides:       libqt6qmlxmllistmodel-private-devel = %{version}-%{release}
Provides:       libqtqmlxmllistmodel6-private-devel = %{version}-%{release}
Provides:       qt6qmlxmllistmodel-private-devel = %{version}-%{release}
Provides:       qtqmlxmllistmodel6-private-devel = %{version}-%{release}

%description -n %{libqtqmlxmllistmodel_d}
Devel files needed to build apps based on Qt Qml Xml List Model.

%files -n %{libqtqmlxmllistmodel_d}
%{_qt6_includedir}/QtQmlXmlListModel/
%{_qt6_libdir}/cmake/Qt6QmlXmlListModel
%{_qt6_libdir}/libQt6QmlXmlListModel.prl
%{_qt6_libdir}/libQt6QmlXmlListModel.so
%{_qt6_libdir}/qt6/metatypes/qt6qmlxmllistmodel_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlxmllistmodel.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlxmllistmodel_private.pri
%{_qt6_libdir}/qt6/modules/QmlXmlListModel.json
%{_qt6_libdir}/pkgconfig/Qt6QmlXmlListModel.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2}
Summary:        Qt%{qtmajor} QuickControls2 Library
Group:          System/Libraries

Obsoletes:      %{_lib}qt6quickcontrols26 < 6.8.1-1

%description -n %{libqtquickcontrols2}
Qt%{qtmajor} QuickControls2 Component Library.

%files -n %{libqtquickcontrols2}
%{_qt6_libdir}/libQt6QuickControls2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2_d}
Summary:        Devel files needed to build apps based on QtQuickControls2
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2} = %{version}-%{release}
Provides:       libqt6quickcontrols2-devel = %{version}-%{release}
Provides:       libqtquickcontrols26-devel = %{version}-%{release}
Provides:       qt6quickcontrols2-devel = %{version}-%{release}
Provides:       qtquickcontrols26-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols26-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2-private-devel = %{version}-%{release}
Provides:       qtquickcontrols26-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2_d}
Devel files needed to build apps based on QtQuickControls2.

%files -n %{libqtquickcontrols2_d}
%{_qt6_libdir}/libQt6QuickControls2.prl
%{_qt6_libdir}/libQt6QuickControls2.so
%{_qt6_includedir}/QtQuickControls2/
%{_qt6_libdir}/cmake/Qt6QuickControls2/
%{_qt6_libdir}/qt6/modules/QuickControls2.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2_*_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2.pc

#(nl) Should be moved to an extra example package ?
%if %{with examples}
%_qt6_examplesdir/quickcontrols/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2basic}
Summary:        Qt%{qtmajor} QuickControls2Basic Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2basic}
Qt%{qtmajor} QuickControls2Basic Component Library.

%files -n %{libqtquickcontrols2basic}
%{_qt6_libdir}/libQt6QuickControls2Basic.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2basic_d}
Summary:        Devel files needed to build apps based on QtQuickControls2Basic
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2basic} = %{version}-%{release}
Provides:       libqt6quickcontrols2basic-devel = %{version}-%{release}
Provides:       libqtquickcontrols2basic6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2basic-devel = %{version}-%{release}
Provides:       qtquickcontrols2basic6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2basic-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2basic6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2basic-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2basic6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2basic_d}
Devel files needed to build apps based on QtQuickControls2Basic.

%files -n %{libqtquickcontrols2basic_d}
%{_qt6_libdir}/libQt6QuickControls2Basic.prl
%{_qt6_libdir}/libQt6QuickControls2Basic.so
%{_qt6_includedir}/QtQuickControls2Basic/
%{_qt6_libdir}/cmake/Qt6QuickControls2Basic/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2Basic.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2basic_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2basic.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2basic_private.pri
%{_qt6_libdir}/qt6/modules/QuickControls2Basic.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2basicimpl}
Summary:        Qt%{qtmajor} QuickControls2BasicImpl Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2basicimpl}
Qt%{qtmajor} QuickControls2BasicImpl Component Library.

%files -n %{libqtquickcontrols2basicimpl}
%{_qt6_libdir}/libQt6QuickControls2BasicStyleImpl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2basicimpl_d}
Summary:        Devel files needed to build apps based on QtQuickControls2BasicImpl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2basicimpl} = %{version}-%{release}
Provides:       libqt6quickcontrols2basicimpl-devel = %{version}-%{release}
Provides:       libqtquickcontrols2basicimpl6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2basicimpl-devel = %{version}-%{release}
Provides:       qtquickcontrols2basicimpl6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2basicimpl-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2basicimpl6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2basicimpl-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2basicimpl6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2basicimpl_d}
Devel files needed to build apps based on QtQuickControls2BasicImpl.

%files -n %{libqtquickcontrols2basicimpl_d}
%{_qt6_includedir}/QtQuickControls2BasicStyleImpl/
%{_qt6_libdir}/libQt6QuickControls2BasicStyleImpl.prl
%{_qt6_libdir}/libQt6QuickControls2BasicStyleImpl.so
%{_qt6_libdir}/cmake/Qt6QuickControls2BasicStyleImpl/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2BasicStyleImpl.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2basicstyleimpl_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2basicstyleimpl.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2basicstyleimpl_private.pri
%{_qt6_libdir}/qt6/modules/QuickControls2BasicStyleImpl.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2fluent}
Summary:        Qt%{qtmajor} QuickControls2FluentWinUI3StyleImpl Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2fluent}
Qt%{qtmajor} QuickControls2FluentWinUI3StyleImpl Component Library.

%files -n %{libqtquickcontrols2fluent}
%{_qt6_libdir}/libQt6QuickControls2FluentWinUI3StyleImpl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2fluent_d}
Summary:        Devel files needed to build apps based on QtQuickControls2FluentWinUI3StyleImpl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2fluent} = %{version}-%{release}
Provides:       libqt6quickcontrols2fluentwinui3styleimpl-devel = %{version}-%{release}
Provides:       libqtquickcontrols2fluentwinui3styleimpl6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2fluentwinui3styleimpl-devel = %{version}-%{release}
Provides:       qtquickcontrols2fluentwinui3styleimpl6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2fluentwinui3styleimpl-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2fluentwinui3styleimpl6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2fluentwinui3styleimpl-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2fluentwinui3styleimpl6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2fluent_d}
Devel files needed to build apps based on QtQuickControls2FluentWinUI3StyleImpl.

%files -n %{libqtquickcontrols2fluent_d}
%{_qt6_includedir}/QtQuickControls2FluentWinUI3StyleImpl/
%{_qt6_libdir}/libQt6QuickControls2FluentWinUI3StyleImpl.prl
%{_qt6_libdir}/libQt6QuickControls2FluentWinUI3StyleImpl.so
%{_qt6_libdir}/cmake/Qt6QuickControls2FluentWinUI3StyleImpl/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2FluentWinUI3StyleImpl.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2fluentwinui3styleimpl_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2fluentwinui3styleimpl*.pri
%{_qt6_libdir}/qt6/modules/QuickControls2FluentWinUI3StyleImpl.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2fusion}
Summary:        Qt%{qtmajor} QuickControls2Fusion Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2fusion}
Qt%{qtmajor} QuickControls2Fusion Component Library.

%files -n %{libqtquickcontrols2fusion}
%{_qt6_libdir}/libQt6QuickControls2Fusion.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2fusion_d}
Summary:        Devel files needed to build apps based on QtQuickControls2Fusion
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2fusion} = %{version}-%{release}
Provides:       libqt6quickcontrols2fusion-devel = %{version}-%{release}
Provides:       libqtquickcontrols2fusion6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2fusion-devel = %{version}-%{release}
Provides:       qtquickcontrols2fusion6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2fusion-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2fusion6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2fusion-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2fusion6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2fusion_d}
Devel files needed to build apps based on QtQuickControls2Fusion.

%files -n %{libqtquickcontrols2fusion_d}
%{_qt6_includedir}/QtQuickControls2Fusion/
%{_qt6_libdir}/libQt6QuickControls2Fusion.prl
%{_qt6_libdir}/libQt6QuickControls2Fusion.so
%{_qt6_libdir}/cmake/Qt6QuickControls2Fusion/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2Fusion.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2fusion_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2fusion.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2fusion_private.pri
%{_qt6_libdir}/qt6/modules/QuickControls2Fusion.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2fusionimpl}
Summary:        Qt%{qtmajor} QuickControls2FusionImpl Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2fusionimpl}
Qt%{qtmajor} QuickControls2FusionImpl Component Library.

%files -n %{libqtquickcontrols2fusionimpl}
%{_qt6_libdir}/libQt6QuickControls2FusionStyleImpl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2fusionimpl_d}
Summary:        Devel files needed to build apps based on QtQuickControls2FusionImpl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2fusionimpl} = %{version}-%{release}
Provides:       libqt6quickcontrols2fusionimpl-devel = %{version}-%{release}
Provides:       libqtquickcontrols2fusionimpl6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2fusionimpl-devel = %{version}-%{release}
Provides:       qtquickcontrols2fusionimpl6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2fusionimpl-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2fusionimpl6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2fusionimpl-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2fusionimpl6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2fusionimpl_d}
Devel files needed to build apps based on QtQuickControls2FusionImpl.

%files -n %{libqtquickcontrols2fusionimpl_d}
%{_qt6_includedir}/QtQuickControls2FusionStyleImpl/
%{_qt6_libdir}/libQt6QuickControls2FusionStyleImpl.prl
%{_qt6_libdir}/libQt6QuickControls2FusionStyleImpl.so
%{_qt6_libdir}/cmake/Qt6QuickControls2FusionStyleImpl/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2FusionStyleImpl.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2fusionstyleimpl_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2fusionstyleimpl.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2fusionstyleimpl_private.pri
%{_qt6_libdir}/qt6/modules/QuickControls2FusionStyleImpl.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2imagine}
Summary:        Qt%{qtmajor} QuickControls2Imagine Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2imagine}
Qt%{qtmajor} QuickControls2Imagine Component Library.

%files -n %{libqtquickcontrols2imagine}
%{_qt6_libdir}/libQt6QuickControls2Imagine.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2imagine_d}
Summary:        Devel files needed to build apps based on QtQuickControls2Imagine
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2imagine} = %{version}-%{release}
Provides:       libqt6quickcontrols2imagine-devel = %{version}-%{release}
Provides:       libqtquickcontrols2imagine6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2imagine-devel = %{version}-%{release}
Provides:       qtquickcontrols2imagine6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2imagine-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2imagine6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2imagine-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2imagine6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2imagine_d}
Devel files needed to build apps based on QtQuickControls2Imagine.

%files -n %{libqtquickcontrols2imagine_d}
%{_qt6_includedir}/QtQuickControls2Imagine/
%{_qt6_libdir}/libQt6QuickControls2Imagine.prl
%{_qt6_libdir}/libQt6QuickControls2Imagine.so
%{_qt6_libdir}/cmake/Qt6QuickControls2Imagine/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2Imagine.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2imagine_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2imagine.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2imagine_private.pri
%{_qt6_libdir}/qt6/modules/QuickControls2Imagine.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2imaginestyleimpl}
Summary:        Qt%{qtmajor} QuickControls2ImagineStyleImpl Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2imaginestyleimpl}
Qt%{qtmajor} QuickControls2ImagineStyleImpl Component Library.

%files -n %{libqtquickcontrols2imaginestyleimpl}
%{_qt6_libdir}/libQt6QuickControls2ImagineStyleImpl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2imaginestyleimpl_d}
Summary:        Devel files needed to build apps based on QtQuickControls2ImagineStyleImpl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2imaginestyleimpl} = %{version}-%{release}
Provides:       libqt6quickcontrols2imaginestyleimpl-devel = %{version}-%{release}
Provides:       libqtquickcontrols2imaginestyleimpl6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2imaginestyleimpl-devel = %{version}-%{release}
Provides:       qtquickcontrols2imaginestyleimpl6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2imaginestyleimpl-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2imaginestyleimpl6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2imaginestyleimpl-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2imaginestyleimpl6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2imaginestyleimpl_d}
Devel files needed to build apps based on QtQuickControls2ImagineStyleImpl.

%files -n %{libqtquickcontrols2imaginestyleimpl_d}
%{_qt6_includedir}/QtQuickControls2ImagineStyleImpl/
%{_qt6_libdir}/libQt6QuickControls2ImagineStyleImpl.prl
%{_qt6_libdir}/libQt6QuickControls2ImagineStyleImpl.so
%{_qt6_libdir}/cmake/Qt6QuickControls2ImagineStyleImpl/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2ImagineStyleImpl.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2imaginestyleimpl_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2imaginestyleimpl.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2imaginestyleimpl_private.pri
%{_qt6_libdir}/qt6/modules/QuickControls2ImagineStyleImpl.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2material}
Summary:        Qt%{qtmajor} QuickControls2Material Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2material}
Qt%{qtmajor} QuickControls2Material Component Library.

%files -n %{libqtquickcontrols2material}
%{_qt6_libdir}/libQt6QuickControls2Material.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2material_d}
Summary:        Devel files needed to build apps based on QtQuickControls2Material
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2material} = %{version}-%{release}
Provides:       libqt6quickcontrols2material-devel = %{version}-%{release}
Provides:       libqtquickcontrols2material6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2material-devel = %{version}-%{release}
Provides:       qtquickcontrols2material6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2material-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2material6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2material-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2material6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2material_d}
Devel files needed to build apps based on QtQuickControls2Material.

%files -n %{libqtquickcontrols2material_d}
%{_qt6_includedir}/QtQuickControls2Material/
%{_qt6_libdir}/libQt6QuickControls2Material.prl
%{_qt6_libdir}/libQt6QuickControls2Material.so
%{_qt6_libdir}/cmake/Qt6QuickControls2Material/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2Material.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2material_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2material.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2material_private.pri
%{_qt6_libdir}/qt6/modules/QuickControls2Material.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2materialstyleimpl}
Summary:        Qt%{qtmajor} QuickControls2MaterialStyleImpl Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2materialstyleimpl}
Qt%{qtmajor} QuickControls2MaterialStyleImpl Component Library.

%files -n %{libqtquickcontrols2materialstyleimpl}
%{_qt6_libdir}/libQt6QuickControls2MaterialStyleImpl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2materialstyleimpl_d}
Summary:        Devel files needed to build apps based on QtQuickControls2MaterialStyleImpl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2materialstyleimpl} = %{version}-%{release}
Provides:       libqt6quickcontrols2materialstyleimpl-devel = %{version}-%{release}
Provides:       libqtquickcontrols2materialstyleimpl6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2materialstyleimpl-devel = %{version}-%{release}
Provides:       qtquickcontrols2materialstyleimpl6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2materialstyleimpl-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2materialstyleimpl6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2materialstyleimpl-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2materialstyleimpl6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2materialstyleimpl_d}
Devel files needed to build apps based on QtQuickControls2MaterialStyleImpl.

%files -n %{libqtquickcontrols2materialstyleimpl_d}
%{_qt6_includedir}/QtQuickControls2MaterialStyleImpl/
%{_qt6_libdir}/libQt6QuickControls2MaterialStyleImpl.prl
%{_qt6_libdir}/libQt6QuickControls2MaterialStyleImpl.so
%{_qt6_libdir}/cmake/Qt6QuickControls2MaterialStyleImpl/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2MaterialStyleImpl.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2materialstyleimpl_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2materialstyleimpl*.pri
%{_qt6_libdir}/qt6/modules/QuickControls2MaterialStyleImpl.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2universal}
Summary:        Qt%{qtmajor} QuickControls2Universal Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2universal}
Qt%{qtmajor} QuickControls2Universal Component Library.

%files -n %{libqtquickcontrols2universal}
%{_qt6_libdir}/libQt6QuickControls2Universal.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2universal_d}
Summary:        Devel files needed to build apps based on QtQuickControls2Universal
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2universal} = %{version}-%{release}
Provides:       libqt6quickcontrols2universal-devel = %{version}-%{release}
Provides:       libqtquickcontrols2universal6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2universal-devel = %{version}-%{release}
Provides:       qtquickcontrols2universal6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2universal-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2universal6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2universal-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2universal6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2universal_d}
Devel files needed to build apps based on QtQuickControls2Universal.

%files -n %{libqtquickcontrols2universal_d}
%{_qt6_includedir}/QtQuickControls2Universal/
%{_qt6_libdir}/libQt6QuickControls2Universal.prl
%{_qt6_libdir}/libQt6QuickControls2Universal.so
%{_qt6_libdir}/cmake/Qt6QuickControls2Universal/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2Universal.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2universal_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2universal.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2universal_private.pri
%{_qt6_libdir}/qt6/modules/QuickControls2Universal.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2universalstyleimpl}
Summary:        Qt%{qtmajor} QuickControls2UniversalStyleImpl Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2universalstyleimpl}
Qt%{qtmajor} QuickControls2UniversalStyleImpl Component Library.

%files -n %{libqtquickcontrols2universalstyleimpl}
%{_qt6_libdir}/libQt6QuickControls2UniversalStyleImpl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2universalstyleimpl_d}
Summary:        Devel files needed to build apps based on QtQuickControls2UniversalStyleImpl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2universalstyleimpl} = %{version}-%{release}
Provides:       libqt6quickcontrols2universalstyleimpl-devel = %{version}-%{release}
Provides:       libqtquickcontrols2universalstyleimpl6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2universalstyleimpl-devel = %{version}-%{release}
Provides:       qtquickcontrols2universalstyleimpl6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2universalstyleimpl-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2universalstyleimpl6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2universalstyleimpl-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2universalstyleimpl6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2universalstyleimpl_d}
Devel files needed to build apps based on QtQuickControls2UniversalStyleImpl.

%files -n %{libqtquickcontrols2universalstyleimpl_d}
%{_qt6_includedir}/QtQuickControls2UniversalStyleImpl/
%{_qt6_libdir}/libQt6QuickControls2UniversalStyleImpl.prl
%{_qt6_libdir}/libQt6QuickControls2UniversalStyleImpl.so
%{_qt6_libdir}/cmake/Qt6QuickControls2UniversalStyleImpl/
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2UniversalStyleImpl.pc
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2universalstyleimpl_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2universalstyleimpl*.pri
%{_qt6_libdir}/qt6/modules/QuickControls2UniversalStyleImpl.json

#------------------------------------------------------------------------------

%package -n %{libqtlabswavefrontmesh_d}
Summary:        Devel files needed to build apps based on QtLabsWavefrontMesh
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabswavefrontmesh} = %{version}-%{release}
Provides:       libqt6labswavefrontmesh-devel = %{version}-%{release}
Provides:       libqtlabswavefrontmesh6-devel = %{version}-%{release}
Provides:       qt6labswavefrontmesh-devel = %{version}-%{release}
Provides:       qtlabswavefrontmesh6-devel = %{version}-%{release}

Provides:       libqt6labswavefrontmesh-private-devel = %{version}-%{release}
Provides:       libqtlabswavefrontmesh6-private-devel = %{version}-%{release}
Provides:       qt6labswavefrontmesh-private-devel = %{version}-%{release}
Provides:       qtlabswavefrontmesh6-private-devel = %{version}-%{release}

%description -n %{libqtlabswavefrontmesh_d}
Devel files needed to build apps based on QtLabsWavefrontMesh.

%files -n %{libqtlabswavefrontmesh_d}
%{_qt6_libdir}/libQt6LabsWavefrontMesh.prl
%{_qt6_libdir}/libQt6LabsWavefrontMesh.so
%{_qt6_libdir}/cmake/Qt6LabsWavefrontMesh/
%{_qt6_libdir}/qt6/metatypes/qt6labswavefrontmesh_*_metatypes.json
%{_qt6_includedir}/QtLabsWavefrontMesh/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labswavefrontmesh.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labswavefrontmesh_private.pri
%{_qt6_libdir}/qt6/modules/LabsWavefrontMesh.json
%{_qt6_libdir}/pkgconfig/Qt6LabsWavefrontMesh.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlcore_d}
Summary:        Devel files needed to build apps based on QtQmlCore
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlcore} = %{version}-%{release}
Provides:       libqt6qmlcore-devel = %{version}-%{release}
Provides:       libqtqmlcore6-devel = %{version}-%{release}
Provides:       qt6qmlcore-devel = %{version}-%{release}
Provides:       qtqmlcore6-devel = %{version}-%{release}

Provides:       libqt6qmlcore-private-devel = %{version}-%{release}
Provides:       libqtqmlcore6-private-devel = %{version}-%{release}
Provides:       qt6qmlcore-private-devel = %{version}-%{release}
Provides:       qtqmlcore6-private-devel = %{version}-%{release}

%description -n %{libqtqmlcore_d}
Devel files needed to build apps based on QtQmlCore.

%files -n %{libqtqmlcore_d}
%{_qt6_libdir}/libQt6QmlCore.prl
%{_qt6_libdir}/libQt6QmlCore.so
%{_qt6_libdir}/cmake/Qt6QmlCore/
%{_qt6_includedir}/QtQmlCore/
%{_qt6_libdir}/qt6/modules/QmlCore.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlcore.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlcore_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6qmlcore_*_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QmlCore.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlmeta_d}
Summary:        Devel files needed to build apps based on QtQmlMeta
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlmeta} = %{version}-%{release}
Provides:       libqt6qmlmeta-devel = %{version}-%{release}
Provides:       libqtqmlmeta6-devel = %{version}-%{release}
Provides:       qt6qmlmeta-devel = %{version}-%{release}
Provides:       qtqmlmeta6-devel = %{version}-%{release}

Provides:       libqt6qmlmeta-private-devel = %{version}-%{release}
Provides:       libqtqmlmeta6-private-devel = %{version}-%{release}
Provides:       qt6qmlmeta-private-devel = %{version}-%{release}
Provides:       qtqmlmeta6-private-devel = %{version}-%{release}

%description -n %{libqtqmlmeta_d}
Devel files needed to build apps based on QtQmlMeta.

%files -n %{libqtqmlmeta_d}
%{_qt6_libdir}/libQt6QmlMeta.prl
%{_qt6_libdir}/libQt6QmlMeta.so
%{_qt6_libdir}/cmake/Qt6QmlMeta/
%{_qt6_includedir}/QtQmlMeta/
%{_qt6_libdir}/qt6/modules/QmlMeta.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlmeta.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlmeta_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6qmlmeta_*_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QmlMeta.pc

#------------------------------------------------------------------------------
# SUPPORT STATIC LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtpacketprotocol_ds}
Summary:        Devel files needed to build apps based on QtPacketProtocol
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6packetprotocol-static-devel = %{version}-%{release}
Provides:       libqtpacketprotocol6-static-devel = %{version}-%{release}
Provides:       qt6packetprotocol-static-devel = %{version}-%{release}
Provides:       qtpacketprotocol6-static-devel = %{version}-%{release}

%description -n %{libqtpacketprotocol_ds}
Devel files needed to build apps based on QtPacketProtocol.

%files -n %{libqtpacketprotocol_ds}
%{_qt6_libdir}/libQt6PacketProtocol.prl
%{_qt6_libdir}/libQt6PacketProtocol.a
%{_qt6_libdir}/cmake/Qt6PacketProtocolPrivate/
%{_qt6_includedir}/QtPacketProtocol/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_packetprotocol_private.pri
%{_qt6_libdir}/qt6/modules/PacketProtocolPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6packetprotocolprivate_*_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtqmlcompiler_d}
Summary:        Devel files needed to build apps based on QtQmlCompiler
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlcompiler} = %{version}-%{release}
Provides:       libqt6qmlcompiler-devel = %{version}-%{release}
Provides:       libqtqmlcompiler6-devel = %{version}-%{release}
Provides:       qt6qmlcompiler-devel = %{version}-%{release}
Provides:       qtqmlcompiler6-devel = %{version}-%{release}
Obsoletes:      %{_lib}qt6qmlcompiler-static-devel < 6.4.0-2

%description -n %{libqtqmlcompiler_d}
Devel files needed to build apps based on QtQmlCompiler.

%files -n %{libqtqmlcompiler_d}
%{_qt6_libdir}/libQt6QmlCompiler.so
%{_qt6_libdir}/libQt6QmlCompiler.prl
%{_qt6_libdir}/cmake/Qt6QmlCompiler/
%{_qt6_libdir}/pkgconfig/Qt6QmlCompiler.pc
%{_qt6_includedir}/QtQmlCompiler/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlcompiler.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlcompiler_private.pri
%{_qt6_libdir}/qt6/modules/QmlCompiler.json
%{_qt6_libdir}/qt6/metatypes/qt6qmlcompiler_*_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtqmldom_ds}
Summary:        Devel files needed to build apps based on QtQmlDom
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6qmldom-static-devel = %{version}-%{release}
Provides:       libqtqmldom6-static-devel = %{version}-%{release}
Provides:       qt6qmldom-static-devel = %{version}-%{release}
Provides:       qtqmldom6-static-devel = %{version}-%{release}

%description -n %{libqtqmldom_ds}
Devel files needed to build apps based on QtQmlDom.

%files -n %{libqtqmldom_ds}
%{_qt6_libdir}/libQt6QmlDom.prl
%{_qt6_libdir}/libQt6QmlDom.a
%{_qt6_libdir}/cmake/Qt6QmlDomPrivate/
%{_qt6_includedir}/QtQmlDom/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmldom_private.pri
%{_qt6_libdir}/qt6/modules/QmlDomPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6qmldomprivate_*_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2}
Summary:        Qt%{qtmajor} QuickTemplates2 Library
Group:          System/Libraries

Obsoletes:      %{_lib}qt6quicktemplates26 < 6.8.1-1

%description -n %{libqtquicktemplates2}
Qt%{qtmajor} QuickTemplates2 Component Library.

%files -n %{libqtquicktemplates2}
%{_qt6_libdir}/libQt6QuickTemplates2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2_d}
Summary:        Devel files needed to build apps based on QtQuickTemplates2
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquicktemplates2} = %{version}-%{release}
Provides:       libqt6quicktemplates2-devel = %{version}-%{release}
Provides:       libquicktemplates2_6-devel = %{version}-%{release}
Provides:       qt6quicktemplates2-devel = %{version}-%{release}
Provides:       quicktemplates2_6-devel = %{version}-%{release}

Provides:       libqt6quicktemplates2-private-devel = %{version}-%{release}
Provides:       libquicktemplates2_6-private-devel = %{version}-%{release}
Provides:       qt6quicktemplates2-private-devel = %{version}-%{release}
Provides:       quicktemplates2_6-private-devel = %{version}-%{release}

%description -n %{libqtquicktemplates2_d}
Devel files needed to build apps based on QtQuickTemplates2.

%files -n %{libqtquicktemplates2_d}
%{_qt6_libdir}/libQt6QuickTemplates2.prl
%{_qt6_libdir}/libQt6QuickTemplates2.so
%{_qt6_libdir}/qt6/metatypes/qt6quicktemplates2_*_metatypes.json
%{_qt6_libdir}/cmake/Qt6QuickTemplates2/
%{_qt6_includedir}/QtQuickTemplates2/
%{_qt6_libdir}/qt6/modules/QuickTemplates2.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktemplates2.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktemplates2_private.pri
%{_qt6_libdir}/pkgconfig/Qt6QuickTemplates2.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2impl}
Summary:        Qt%{qtmajor} QuickControls2Impl Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2impl}
Qt%{qtmajor} QuickControls2Impl Component Library.

%files -n %{libqtquickcontrols2impl}
%{_qt6_libdir}/libQt6QuickControls2Impl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2impl_d}
Summary:        Devel files needed to build apps based on QtQuickControls2Impl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2impl} = %{version}-%{release}
Provides:       libqt6quickcontrols2impl-devel = %{version}-%{release}
Provides:       libqtquickcontrols2impl6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2impl-devel = %{version}-%{release}
Provides:       qtquickcontrols2impl6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2impl-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2impl6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2impl-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2impl6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2impl_d}
Devel files needed to build apps based on QtQuickControls2Impl.

%files -n %{libqtquickcontrols2impl_d}
%{_qt6_includedir}/QtQuickControls2Impl/
%{_qt6_libdir}/libQt6QuickControls2Impl.prl
%{_qt6_libdir}/libQt6QuickControls2Impl.so
%{_qt6_libdir}/cmake/Qt6QuickControls2Impl/
%{_qt6_libdir}/qt6/modules/QuickControls2Impl.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2impl.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2impl_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrols2impl_*_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2Impl.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2}
Summary:        Qt%{qtmajor} QuickDialogs2 Library
Group:          System/Libraries

Obsoletes:      %{_lib}qt6quickdialogs26 < 6.8.1-1

%description -n %{libqtquickdialogs2}
Qt%{qtmajor} QuickDialogs2 Component Library.

%files -n %{libqtquickdialogs2}
%{_qt6_libdir}/libQt6QuickDialogs2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2_d}
Summary:        Devel files needed to build apps based on QuickDialogs2
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickdialogs2} = %{version}-%{release}
Provides:       libqt6quickdialogs2-devel = %{version}-%{release}
Provides:       libqtquickdialogs26-devel = %{version}-%{release}
Provides:       qt6quickdialogs2-devel = %{version}-%{release}
Provides:       qtquickdialogs26-devel = %{version}-%{release}

Provides:       libqt6quickdialogs2-private-devel = %{version}-%{release}
Provides:       libqtquickdialogs26-private-devel = %{version}-%{release}
Provides:       qt6quickdialogs2-private-devel = %{version}-%{release}
Provides:       qtquickdialogs26-private-devel = %{version}-%{release}

%description -n %{libqtquickdialogs2_d}
Devel files needed to build apps based on QuickDialogs2.

%files -n %{libqtquickdialogs2_d}
%{_qt6_libdir}/libQt6QuickDialogs2.so
%{_qt6_libdir}/libQt6QuickDialogs2.prl
%{_qt6_includedir}/QtQuickDialogs2/
%{_qt6_libdir}/cmake/Qt6QuickDialogs2/
%{_qt6_libdir}/qt6/metatypes/qt6quickdialogs2_*_metatypes.json
%{_qt6_libdir}/qt6/modules/QuickDialogs2.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2_private.pri
%{_qt6_libdir}/pkgconfig/Qt6QuickDialogs2.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2quickimpl}
Summary:        Qt%{qtmajor} QuickDialogs2QuickImpl Library
Group:          System/Libraries

%description -n %{libqtquickdialogs2quickimpl}
Qt%{qtmajor} QuickDialogs2QuickImpl Component Library.

%files -n %{libqtquickdialogs2quickimpl}
%{_qt6_libdir}/libQt6QuickDialogs2QuickImpl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2quickimpl_d}
Summary:        Devel files needed to build apps based on QtQuickDialogs2QuickImpl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickdialogs2quickimpl} = %{version}-%{release}
Provides:       libqt6quickdialogs2quickimpl-devel = %{version}-%{release}
Provides:       libqtquickdialogs2quickimpl6-devel = %{version}-%{release}
Provides:       qt6quickdialogs2quickimpl-devel = %{version}-%{release}
Provides:       qtquickdialogs2quickimpl6-devel = %{version}-%{release}

Provides:       libqt6quickdialogs2quickimpl-private-devel = %{version}-%{release}
Provides:       libqtquickdialogs2quickimpl6-private-devel = %{version}-%{release}
Provides:       qt6quickdialogs2quickimpl-private-devel = %{version}-%{release}
Provides:       qtquickdialogs2quickimpl6-private-devel = %{version}-%{release}

%description -n %{libqtquickdialogs2quickimpl_d}
Devel files needed to build apps based on QtQuickDialogs2QuickImpl.

%files -n %{libqtquickdialogs2quickimpl_d}
%{_qt6_includedir}/QtQuickDialogs2QuickImpl/
%{_qt6_libdir}/libQt6QuickDialogs2QuickImpl.prl
%{_qt6_libdir}/libQt6QuickDialogs2QuickImpl.so
%{_qt6_libdir}/cmake/Qt6QuickDialogs2QuickImpl/
%{_qt6_libdir}/qt6/modules/QuickDialogs2QuickImpl.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2quickimpl.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2quickimpl_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6quickdialogs2quickimpl_*_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QuickDialogs2QuickImpl.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2utils}
Summary:        Qt%{qtmajor} QuickDialogs2Utils Library
Group:          System/Libraries

%description -n %{libqtquickdialogs2utils}
Qt%{qtmajor} QuickDialogs2Utils Component Library.

%files -n %{libqtquickdialogs2utils}
%{_qt6_libdir}/libQt6QuickDialogs2Utils.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2utils_d}
Summary:        Devel files needed to build apps based on QtQuickDialogs2Utils
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickdialogs2utils} = %{version}-%{release}
Provides:       libqt6quickdialogs2utils-devel = %{version}-%{release}
Provides:       libqtquickdialogs2utils6-devel = %{version}-%{release}
Provides:       qt6quickdialogs2utils-devel = %{version}-%{release}
Provides:       qtquickdialogs2utils6-devel = %{version}-%{release}

Provides:       libqt6quickdialogs2utils-private-devel = %{version}-%{release}
Provides:       libqtquickdialogs2utils6-private-devel = %{version}-%{release}
Provides:       qt6quickdialogs2utils-private-devel = %{version}-%{release}
Provides:       qtquickdialogs2utils6-private-devel = %{version}-%{release}

%description -n %{libqtquickdialogs2utils_d}
Devel files needed to build apps based on QtQuickDialogs2Utils.

%files -n %{libqtquickdialogs2utils_d}
%{_qt6_includedir}/QtQuickDialogs2Utils/
%{_qt6_libdir}/cmake/Qt6QuickDialogs2Utils/
%{_qt6_libdir}/libQt6QuickDialogs2Utils.prl
%{_qt6_libdir}/libQt6QuickDialogs2Utils.so
%{_qt6_libdir}/qt6/metatypes/qt6quickdialogs2utils_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2utils.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2utils_private.pri
%{_qt6_libdir}/qt6/modules/QuickDialogs2Utils.json
%{_qt6_libdir}/pkgconfig/Qt6QuickDialogs2Utils.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlintegration_d}
Summary:        Devel files needed to build apps based on QtQmlIntegration
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6qmlintegration-devel = %{version}-%{release}
Provides:       libqtqmlintegration6-devel = %{version}-%{release}
Provides:       qt6qmlintegration-devel = %{version}-%{release}
Provides:       qtqmlintegration6-devel = %{version}-%{release}

Provides:       libqt6qmlintegration-private-devel = %{version}-%{release}
Provides:       libqtqmlintegration6-private-devel = %{version}-%{release}
Provides:       qt6qmlintegration-private-devel = %{version}-%{release}
Provides:       qtqmlintegration6-private-devel = %{version}-%{release}

%description -n %{libqtqmlintegration_d}
Devel files needed to build apps based on QtQmlIntegration.

%files -n %{libqtqmlintegration_d}
%{_qt6_includedir}/QtQmlIntegration/
%{_qt6_libdir}/cmake/Qt6QmlIntegration/
%{_qt6_libdir}/qt6/modules/QmlIntegration.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlintegration.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlintegration_private.pri
%{_qt6_libdir}/pkgconfig/Qt6QmlIntegration.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmltoolingsettings_d}
Summary:        Devel files needed to build apps based on QtQmlToolingSettings
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6qmltoolingsettings-devel = %{version}-%{release}
Provides:       libqtqmltoolingsettings6-devel = %{version}-%{release}
Provides:       qt6qmltoolingsettings-devel = %{version}-%{release}
Provides:       qtqmltoolingsettings6-devel = %{version}-%{release}

Provides:       libqt6qmltoolingsettings-private-devel = %{version}-%{release}
Provides:       libqtqmltoolingsettings6-private-devel = %{version}-%{release}
Provides:       qt6qmltoolingsettings-private-devel = %{version}-%{release}
Provides:       qtqmltoolingsettings6-private-devel = %{version}-%{release}

%description -n %{libqtqmltoolingsettings_d}
Devel files needed to build apps based on QtQmlToolingSettings.

%files -n %{libqtqmltoolingsettings_d}
%{_qt6_libdir}/libQt6QmlToolingSettings.a
%{_qt6_libdir}/libQt6QmlToolingSettings.prl
%{_qt6_includedir}/QtQmlToolingSettings/
%{_qt6_libdir}/cmake/Qt6QmlToolingSettingsPrivate/
%{_qt6_libdir}/qt6/modules/QmlToolingSettingsPrivate.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmltoolingsettings_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6qmltoolingsettingsprivate_*_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtqmltyperegistrar_d}
Summary:        Devel files needed to build apps based on QtQmlTypeRegistrar
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6qmltyperegistrar-devel = %{version}-%{release}
Provides:       libqtqmltyperegistrar6-devel = %{version}-%{release}
Provides:       qt6qmltyperegistrar-devel = %{version}-%{release}
Provides:       qtqmltyperegistrar6-devel = %{version}-%{release}

Provides:       libqt6qmltyperegistrar-private-devel = %{version}-%{release}
Provides:       libqtqmltyperegistrar6-private-devel = %{version}-%{release}
Provides:       qt6qmltyperegistrar-private-devel = %{version}-%{release}
Provides:       qtqmltyperegistrar6-private-devel = %{version}-%{release}

%description -n %{libqtqmltyperegistrar_d}
Devel files needed to build apps based on QtQmlTypeRegistrar.

%files -n %{libqtqmltyperegistrar_d}
%{_qt6_libdir}/libQt6QmlTypeRegistrar.a
%{_qt6_libdir}/libQt6QmlTypeRegistrar.prl
%{_qt6_includedir}/QtQmlTypeRegistrar/
%{_qt6_libdir}/cmake/Qt6QmlTypeRegistrarPrivate/
%{_qt6_libdir}/qt6/modules/QmlTypeRegistrarPrivate.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmltyperegistrar_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6qmltyperegistrarprivate_*_metatypes.json
#
%{_qt6_libdir}/qt6/objects-RelWithDebInfo/QmlTypeRegistrarPrivate_resources_1/

#------------------------------------------------------------------------------

%package -n %{libqtqmlls_d}
Summary:        Devel files needed to build apps based on QtQmlLS
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6qmlls-devel = %{version}-%{release}
Provides:       libqtqmlls6-devel = %{version}-%{release}
Provides:       qt6qmlls-devel = %{version}-%{release}
Provides:       qtqmlls6-devel = %{version}-%{release}

Provides:       libqt6qmlls-private-devel = %{version}-%{release}
Provides:       libqtqmlls6-private-devel = %{version}-%{release}
Provides:       qt6qmlls-private-devel = %{version}-%{release}
Provides:       qtqmlls6-private-devel = %{version}-%{release}

%description -n %{libqtqmlls_d}
Devel files needed to build apps based on QtQmlLS.

%files -n %{libqtqmlls_d}
%{_qt6_libdir}/libQt6QmlLS.a
%{_qt6_libdir}/libQt6QmlLS.prl
%{_qt6_includedir}/QtQmlLS/
%{_qt6_libdir}/cmake/Qt6QmlLSPrivate/
%{_qt6_libdir}/qt6/modules/QmlLSPrivate.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlls_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6qmllsprivate_*_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrolstestutils_ds}
Summary:        Devel files needed to build apps based on QuickControlsTestUtils
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6quickcontrolstestutils-devel = %{version}-%{release}
Provides:       libqtquickcontrolstestutils6-devel = %{version}-%{release}
Provides:       qt6quickcontrolstestutils-devel = %{version}-%{release}
Provides:       qtquickcontrolstestutils6-devel = %{version}-%{release}

Provides:       libqt6quickcontrolstestutils-private-devel = %{version}-%{release}
Provides:       libqtquickcontrolstestutils6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrolstestutils-private-devel = %{version}-%{release}
Provides:       qtquickcontrolstestutils6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrolstestutils_ds}
Devel files needed to build apps based on QtQuickControlsTestUtils.

%files -n %{libqtquickcontrolstestutils_ds}
%{_qt6_includedir}/QtQuickControlsTestUtils/
%{_qt6_libdir}/cmake/Qt6QuickControlsTestUtilsPrivate/
%{_qt6_libdir}/libQt6QuickControlsTestUtils.a
%{_qt6_libdir}/libQt6QuickControlsTestUtils.prl
%{_qt6_libdir}/qt6/metatypes/qt6quickcontrolstestutilsprivate_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrolstestutilsprivate_private.pri
%{_qt6_libdir}/qt6/modules/QuickControlsTestUtilsPrivate.json

#------------------------------------------------------------------------------

%package -n %{libqtquicktestutils_ds}
Summary:        Devel files needed to build apps based on QtQuickTestUtils
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6quicktestutils-devel = %{version}-%{release}
Provides:       libqtquicktestutils6-devel = %{version}-%{release}
Provides:       qt6quicktestutils-devel = %{version}-%{release}
Provides:       qtquicktestutils6-devel = %{version}-%{release}

Provides:       libqt6quicktestutils-private-devel = %{version}-%{release}
Provides:       libqtquicktestutils6-private-devel = %{version}-%{release}
Provides:       qt6quicktestutils-private-devel = %{version}-%{release}
Provides:       qtquicktestutils6-private-devel = %{version}-%{release}

%description -n %{libqtquicktestutils_ds}
Devel files needed to build apps based on QtQuickTestUtils.

%files -n %{libqtquicktestutils_ds}
%{_qt6_libdir}/libQt6QuickTestUtils.a
%{_qt6_libdir}/libQt6QuickTestUtils.prl
%{_qt6_includedir}/QtQuickTestUtils/
%{_qt6_libdir}/cmake/Qt6QuickTestUtilsPrivate/
%{_qt6_libdir}/qt6/metatypes/qt6quicktestutilsprivate_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktestutilsprivate_private.pri
%{_qt6_libdir}/qt6/modules/QuickTestUtilsPrivate.json

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtdeclarative-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif

# Copied from OpenSUSE packages
# CMake modules for plugins are not useful
rm %{buildroot}%{_qt6_libdir}/cmake/*/*Plugin{Config,ConfigVersion,Targets*}.cmake


%changelog
* Mon Jan 20 2025 daviddavid <daviddavid> 6.8.1-2.mga10
+ Revision: 2140006
- backport upstream patch to fix find_package call in Qt6QmlFindQmlscInternal.cmake

* Thu Dec 19 2024 daviddavid <daviddavid> 6.8.1-1.mga10
+ Revision: 2126201
- non bootstrap build
- fix some devel files location

* Wed Dec 18 2024 daviddavid <daviddavid> 6.8.1-0.1.mga10
+ Revision: 2125892
- New version 6.8.1

* Sun Oct 06 2024 daviddavid <daviddavid> 6.7.3-1.mga10
+ Revision: 2103902
- non bootstrap build

* Sat Oct 05 2024 daviddavid <daviddavid> 6.7.3-0.1.mga10
+ Revision: 2103589
- New version 6.7.3
- enable docs building

* Thu Aug 01 2024 daviddavid <daviddavid> 6.7.2-1.mga10
+ Revision: 2083324
- non-bootstrap build

* Wed Jul 31 2024 daviddavid <daviddavid> 6.7.2-0.1.mga10
+ Revision: 2083095
- New version 6.7.2

* Wed Jun 12 2024 daviddavid <daviddavid> 6.7.1-3.mga10
+ Revision: 2072821
- non-bootstrap build

* Tue Jun 11 2024 daviddavid <daviddavid> 6.7.1-2.2.mga10
+ Revision: 2072591
- rebuild against qtlanguageserver

* Tue Jun 11 2024 daviddavid <daviddavid> 6.7.1-2.1.mga10
+ Revision: 2072556
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings (bootstrap build)

* Thu Jun 06 2024 daviddavid <daviddavid> 6.7.1-2.mga10
+ Revision: 2070283
- backport upstream fix - dom: avoid asserts during dom construction

* Fri May 24 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2066905
- non-bootstrap build

* Thu May 23 2024 daviddavid <daviddavid> 6.7.1-0.2.mga10
+ Revision: 2066268
- qml-devel sub-pkg requires now new qmlbuiltins-devel sub-pkg

* Wed May 22 2024 daviddavid <daviddavid> 6.7.1-0.1.mga10
+ Revision: 2066212
- New version 6.7.1 (bootstrap build)

* Wed May 08 2024 daviddavid <daviddavid> 6.6.2-3.mga10
+ Revision: 2062831
- backport Qt patches for crashes (should fix mga#33180)

* Sat Feb 17 2024 daviddavid <daviddavid> 6.6.2-2.mga10
+ Revision: 2042166
- non bootstrap build

* Fri Feb 16 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2041736
- New version 6.6.2

* Fri Oct 20 2023 daviddavid <daviddavid> 6.6.0-2.mga10
+ Revision: 1999769
- non-bootstrap build

* Fri Oct 20 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999550
- New version 6.6.0

* Tue Sep 19 2023 daviddavid <daviddavid> 6.5.2-2.mga10
+ Revision: 1988155
- non-bootstrap build

* Sun Sep 10 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1985720
- New version 6.5.2

* Sat Dec 24 2022 daviddavid <daviddavid> 6.4.1-4.mga9
+ Revision: 1926360
- enable qmlls tool support

* Fri Dec 16 2022 daviddavid <daviddavid> 6.4.1-3.mga9
+ Revision: 1923651
- non bootstrap build

* Fri Dec 16 2022 daviddavid <daviddavid> 6.4.1-2.mga9
+ Revision: 1923514
- move '/qml/Qt/test/controls/' files into the main pkg

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923495
- New version 6.4.1
+ wally <wally>
- fix qt6qmlcompiler devel pkg name

* Tue Oct 04 2022 squidf <squidf> 6.4.0-1.mga9
+ Revision: 1894637
- Update patch
+ neoclust <neoclust>
- New version 6.4.0

* Sun Aug 28 2022 neoclust <neoclust> 6.3.1-1.mga9
+ Revision: 1881462
- New version 6.3.1

* Mon Aug 01 2022 wally <wally> 6.3.0-3.mga9
+ Revision: 1874189
- really disable examples

* Sun Jul 31 2022 wally <wally> 6.3.0-2.mga9
+ Revision: 1874062
- disable examples as they needs pkg itself to build
- make qml-devel to require qmlintegration-devel

* Tue May 03 2022 neoclust <neoclust> 6.3.0-1.mga9
+ Revision: 1855559
- New version 6.3.0
+ papoteur <papoteur>
- fix file list
- fix build QTBUG-102598

* Mon Apr 04 2022 umeabot <umeabot> 6.2.3-2.mga9
+ Revision: 1843834
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 neoclust <neoclust> 6.2.3-1.mga9
+ Revision: 1782404
- New version 6.2.3

* Mon Nov 15 2021 neoclust <neoclust> 6.2.1-1.mga9
+ Revision: 1756645
- New version 6.2.1

* Fri Nov 12 2021 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1755955
- New version 6.2.0

* Fri May 14 2021 daviddavid <daviddavid> 6.1.0-2.mga9
+ Revision: 1722816
- rebuild with fixed cmake-rpm-macros

* Thu May 13 2021 daviddavid <daviddavid> 6.1.0-1.mga9
+ Revision: 1722672
- initial package qtdeclarative6

